SDL_SetWindowIcon(3)

NAME
SDL_SetWindowIcon - Set the icon for a window.

SYNOPSIS
#include <SDL3/SDL_video.h>

bool SDL_SetWindowIcon(SDL_Window *window, SDL_Surface *icon);

DESCRIPTION
If this function is passed a surface with alternate representations, the surface will be interpreted as the content to be used for 100% display scale, and the alternate representations will be used for high DPI situations. For example, if the original surface is 32x32, then on a 2x macOS display or 200% display scale on Windows, a 64x64 version of the image will be used, if available. If a matching version of the image isn't available, the closest larger size image will be downscaled to the appropriate size and be used instead, if available. Otherwise, the closest smaller image will be upscaled and be used instead.

FUNCTION PARAMETERS

window
    the window to change.

icon
    an SDL_Surface structure containing the icon for the window.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.